TruncateResponse (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class TruncateResponse

    java.lang.Object
      org.apache.cassandra.db.TruncateResponse

    public class TruncateResponse

extends java.lang.Object

This message is sent back the truncate operation and basically specifies if the truncate succeeded.

Nested Class Summary
`static class` | `TruncateResponse.TruncateResponseSerializer`

Field Summary
`java.lang.String` | `columnFamily`
`java.lang.String` | `keyspace`
`boolean` | `success`

Constructor Summary
`TruncateResponse(java.lang.String keyspace, java.lang.String columnFamily, boolean success)`

Method Summary
`static Message` | `makeTruncateResponseMessage(Message original, TruncateResponse truncateResponseMessage)`
`static TruncateResponse.TruncateResponseSerializer` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### columnFamily

    public final java.lang.String columnFamily

### success

    public final boolean success

Constructor Detail

### TruncateResponse

    public TruncateResponse(java.lang.String keyspace,
                            java.lang.String columnFamily,
                            boolean success)

Method Detail

### serializer

    public static TruncateResponse.TruncateResponseSerializer serializer()

### makeTruncateResponseMessage

    public static Message makeTruncateResponseMessage(Message original,
                                                      TruncateResponse truncateResponseMessage)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation